Subject: Re: [JGIT PATCH 1/2] Improve end-of-file detection in DirCache

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 13 Apr 2009 08:42:00 -0700

Robin Rosenberg <[email-masked]> wrote:
> 
> As a consequence, I'll reapply the GitMoveDeleteHook reverts we made just
> prior to 0.4 and start deprecating GitIndex. Any preference for re-apply or
> reverting the reverts?
> 
> The reverts are in  e7307f14c531d52cf231c39d844841c4adaf5e5a and 
> 2066e55e4740d9e9cfaf455596f832ff694f853a
> 
> I think the original patches are valid.

Hmmph.

I would cherry-pick with --no-commit and then make two notes in
the final commit message, e.g.:

  ...

  Temporary-revert: $REVERTCOMMIT
  Originally: $FIRSTCOMMIT
  Signed-off-by: ...

so we can "thread" them with hyperlinks in viewers.

-- 
Shawn.